﻿using Microsoft.Extensions.DependencyInjection;
using MycroForge.Core.Contract;
using RootCommand = MycroForge.Core.RootCommand;

namespace MycroForge.TestPlugin;

public class MyJewelleryCommandPlugin : ICommandPlugin
{
    public string Name => $"{nameof(MycroForge)}.{nameof(TestPlugin)}";
    public string Command => Constants.MainCommandName;

    public void RegisterServices(IServiceCollection services)   
    {
        services.AddScoped<ISubCommandOf<RootCommand>, MyJewelleryCommand>();
    }
}